Update do not install liquid soap 1.4.0

Read 491 times
Updating liquid soap did not update and now any account using liquid soap is not working.

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ERROR] The compilation of liquidsoap failed at "/usr/bin/make".

#=== ERROR while compiling liquidsoap.1.4.0 ===================================#
# context     2.0.5 | linux/x86_64 | ocaml-base-compiler.4.08.0 | https://opam.ocaml.org#f8438bdc
# path        ~/.opam/4.08.0/.opam-switch/build/liquidsoap.1.4.0
# command     /usr/bin/make
# exit-code   2
# env-file    ~/.opam/log/liquidsoap-3383-ad8886.env
# output-file ~/.opam/log/liquidsoap-3383-ad8886.out
### output ###
# [...]
# /usr/local/centovacast/.opam/4.08.0/lib/samplerate/libsamplerate_stubs.a(samplerate_stubs.o): In function `ocaml_samplerate_process_ba':
# /usr/local/centovacast/.opam/4.08.0/.opam-switch/build/samplerate.0.1.6/_build/default/src/samplerate_stubs.c:172: undefined reference to `src_get_channels'
# /usr/local/centovacast/.opam/4.08.0/lib/samplerate/libsamplerate_stubs.a(samplerate_stubs.o): In function `ocaml_samplerate_process':
# /usr/local/centovacast/.opam/4.08.0/.opam-switch/build/samplerate.0.1.6/_build/default/src/samplerate_stubs.c:104: undefined reference to `src_get_channels'
# collect2: ld returned 1 exit status
# File "caml_startup", line 1:
# Error: Error during linking
# make[2]: *** [liquidsoap] Error 2
# make[2]: Leaving directory `/usr/local/centovacast/.opam/4.08.0/.opam-switch/build/liquidsoap.1.4.0/src'
# make[1]: *** [all-auto-ocaml-prog] Error 2
# make[1]: Leaving directory `/usr/local/centovacast/.opam/4.08.0/.opam-switch/build/liquidsoap.1.4.0/src'
# make: *** [all-subdirs] Error 2



<><> Error report <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
┌─ The following actions failed
│ λ build liquidsoap 1.4.0
└─
╶─ No changes have been performed

<><> liquidsoap.1.4.0 troubleshooting <><><><><><><><><><><><><><><><><><><><><>
=> We're sorry that your liquidsoap install failed. Check out our installation
   instructions at: https://www.liquidsoap.info/doc-1.4.0/install.html#opam
   for more information.
! Error: Failed to build Liquidsoap
! Error: Installation failed
Liquidsoap installation failed
! Error: Installer exited with error, aborting
root@server3 [~]#
HELP

I wish centova tech were available more often.  This is ridiculous. 

Anyone else has this problem updating in the last release?  Liquid soap is unable to install and now liquid soap doesn’t work none of the accounts works. 
HELP

I wish centova tech were available more often.  This is ridiculous. 

Anyone else has this problem updating in the last release?  Liquid soap is unable to install and now liquid soap doesn’t work none of the accounts works.

Same issue here, but cannot get a reply since Saturday unfortunately. Now the Cleint Area is down. If we can revert to 1.3.7 it likely will work.
Stream101 || Affordable Media Solutions
http://www.stream101.com | (616) 277-7280
Just to update this, I was able to get this working by going to the configuration of the affected user (in my call ALL of them), and pressing "Save" this seemed to regenerate the config files.
Stream101 || Affordable Media Solutions
http://www.stream101.com | (616) 277-7280
Same issue here, but cannot get a reply since Saturday unfortunately. Now the Cleint Area is down. If we can revert to 1.3.7 it likely will work.

Did you fix it? How? I have same problem trying to update to last release... Thanks.
Same issue here, but cannot get a reply since Saturday unfortunately. Now the Cleint Area is down. If we can revert to 1.3.7 it likely will work.

Did you fix it? How? I have same problem trying to update to last release... Thanks.
See my post above yours
Stream101 || Affordable Media Solutions
http://www.stream101.com | (616) 277-7280
Hi !

I have the same issue.

I was try to update centova today and get some errors on Building Liquidsoap:
....
....
The following actions will be performed:
  ∗ install liquidsoap 1.4.0

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[liquidsoap.1.4.0] found in cache

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[ERROR] The compilation of liquidsoap failed at "/usr/local/centovacast/.opam/opam-init/hooks/sandbox.sh build make".

#=== ERROR while compiling liquidsoap.1.4.0 ===================================#
# context     2.0.5 | linux/x86_32 | ocaml-base-compiler.4.08.0 | https://opam.ocaml.org#d4502500
# path        ~/.opam/4.08.0/.opam-switch/build/liquidsoap.1.4.0
# command     ~/.opam/opam-init/hooks/sandbox.sh build make
# exit-code   2
# env-file    ~/.opam/log/liquidsoap-1451-c61e7b.env
# output-file ~/.opam/log/liquidsoap-1451-c61e7b.out
### output ###
# [...]
# /usr/local/centovacast/.opam/4.08.0/.opam-switch/build/samplerate.0.1.6/_build/default/src/samplerate_stubs.c:210: undefined reference to `src_get_channels'
# collect2: error: ld returned 1 exit status
# File "caml_startup", line 1:
# Error: Error during linking
# ../Makefile.rules:105: recipe for target 'liquidsoap' failed
# make[2]: *** [liquidsoap] Error 2
# make[2]: Leaving directory '/usr/local/centovacast/.opam/4.08.0/.opam-switch/build/liquidsoap.1.4.0/src'
# ../Makefile.rules:67: recipe for target 'all-auto-ocaml-prog' failed
# make[1]: *** [all-auto-ocaml-prog] Error 2
# make[1]: Leaving directory '/usr/local/centovacast/.opam/4.08.0/.opam-switch/build/liquidsoap.1.4.0/src'
# Makefile.rules:27: recipe for target 'all-subdirs' failed
# make: *** [all-subdirs] Error 2



<><> Error report <><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
┌─ The following actions failed
│ λ build liquidsoap 1.4.0
└─
╶─ No changes have been performed

<><> liquidsoap.1.4.0 troubleshooting <><><><><><><><><><><><><><><><><><><><><>
=> We're sorry that your liquidsoap install failed. Check out our installation
   instructions at: https://www.liquidsoap.info/doc-1.4.0/install.html#opam
   for more information.
! Error: Failed to build Liquidsoap
! Error: Installation failed
Liquidsoap installation failed
! Error: Installer exited with error, aborting

------------------------------------------------------------------------------------------------

Could someone help?

I run centova from 2017 on Ubuntu 16.04.7 LTS

Thanks!
Sotiris
Last Edit: January 22, 2022, 06:32:16 am by northbridge